## UDisksBlockVDO UDisksBlockVDO — Generated C code for the org.freedesktop.UDisks2.Block.VDO D-Bus interface |

## Properties

gboolean | active | Read / Write
gboolean | compression | Read / Write
gboolean | deduplication | Read / Write
guint64 | index-memory | Read / Write
guint64 | logical-size | Read / Write
gchar * | name | Read / Write
guint64 | physical-size | Read / Write
gchar * | write-policy | Read / Write

## Signals

gboolean | handle-change-write-policy | Run Last
gboolean | handle-deactivate | Run Last
gboolean | handle-enable-compression | Run Last
gboolean | handle-enable-deduplication | Run Last
gboolean | handle-get-statistics | Run Last
gboolean | handle-grow-logical | Run Last
gboolean | handle-grow-physical | Run Last
gboolean | handle-remove | Run Last
gboolean | handle-stop | Run Last

## Types and Values

| UDisksBlockVDO
struct | UDisksBlockVDOProxy
struct | UDisksBlockVDOProxyClass
struct | UDisksBlockVDOSkeleton
struct | UDisksBlockVDOSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksBlockVDO
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksBlockVDOSkeleton
        ╰── GDBusProxy
            ╰── UDisksBlockVDOProxy

## Prerequisites

UDisksBlockVDO requires GObject.

## Implemented Interfaces

UDisksBlockVDOProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksBlockVDO.

UDisksBlockVDOSkeleton implements GDBusInterface and UDisksBlockVDO.

## Known Implementations

UDisksBlockVDO is implemented by UDisksBlockVDOProxy and UDisksBlockVDOSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block.VDO D-Bus interface in C.

## Functions

## Types and Values

### UDisksBlockVDO

    typedef struct _UDisksBlockVDO UDisksBlockVDO;

`UDisksBlockVDO` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.VDO.

Since: 2.8.0

### struct UDisksBlockVDOProxy

    struct UDisksBlockVDOProxy;

`UDisksBlockVDOProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The UDisksBlockVDOProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksBlockVDOProxyClass

    struct UDisksBlockVDOProxyClass {
      GDBusProxyClass parent_class;
    };

`UDisksBlockVDOProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for UDisksBlockVDOProxy.

#### Members

Since: 2.8.0

### struct UDisksBlockVDOSkeleton

    struct UDisksBlockVDOSkeleton;

`UDisksBlockVDOSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The UDisksBlockVDOSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksBlockVDOSkeletonClass

    struct UDisksBlockVDOSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`UDisksBlockVDOSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for UDisksBlockVDOSkeleton.

#### Members

Since: 2.8.0

## Property Details

### The `“active”` property

      “active”                   gboolean

Represents the D-Bus property "Active".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:active` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“compression”` property

      “compression”              gboolean

Represents the D-Bus property "Compression".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:compression` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“deduplication”` property

      “deduplication”            gboolean

Represents the D-Bus property "Deduplication".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:deduplication` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: FALSE

Since: 2.8.0

### The `“index-memory”` property

      “index-memory”             guint64

Represents the D-Bus property "IndexMemory".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:index-memory` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“logical-size”` property

      “logical-size”             guint64

Represents the D-Bus property "LogicalSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:logical-size` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“name”` property

      “name”                     gchar *

Represents the D-Bus property "Name".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:name` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: NULL

Since: 2.8.0

### The `“physical-size”` property

      “physical-size”            guint64

Represents the D-Bus property "PhysicalSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:physical-size` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: 0

Since: 2.8.0

### The `“write-policy”` property

      “write-policy”             gchar *

Represents the D-Bus property "WritePolicy".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`UDisksBlockVDO:write-policy` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: UDisksBlockVDO

Flags: Read / Write

Default value: NULL

Since: 2.8.0

## Signal Details

### The `“handle-change-write-policy”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_write_policy,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ChangeWritePolicy()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_change_write_policy()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-change-write-policy` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_write_policy | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-deactivate”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Deactivate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_deactivate()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-deactivate` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-enable-compression”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnableCompression()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_enable_compression()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-enable-compression` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-enable-deduplication”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnableDeduplication()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_enable_deduplication()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-enable-deduplication` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-get-statistics”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetStatistics()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_get_statistics()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-get-statistics` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-grow-logical”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   guint64                arg_size,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GrowLogical()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_grow_logical()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-grow-logical` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_size | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-grow-physical”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GrowPhysical()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_grow_physical()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-grow-physical` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-remove”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_force,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Remove()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_remove()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-remove` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_force | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-stop”` signal

    gboolean
    user_function (UDisksBlockVDO        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_force,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Stop()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_block_vdo_complete_stop()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksBlockVDO::handle-stop` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksBlockVDO. |
invocation | A GDBusMethodInvocation. |
arg_force | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0